[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sqldb' (#fcl)

# TSQLScript.OnException

Exception handling event

## Declaration

Source position: sqldb.pp line 524

`published property TSQLScript.OnException;`

## Description

OnException can be set to handle an exception during the execution of a statement or directive when the script is executed. The exception is passed to the handler in the TheException parameter. On return, the value of the Continue parameter is checked: if it is set to True, then the exception is ignored. If it is set to False (the default), then the exception is re-raised, and script execution will stop.

## See also

TSQLScript.Execute |  | Execute the script.

Documentation generated on: Feb 26 2014